QT       += core
QT       += network
QT       += gui

TARGET = PaintClient
TEMPLATE = app

HEADERS += \
    Canvas.h \
    ConnectDialog.h \
    PaintClient.h \
    ProfileManager.h \
    SettingsManager.h \
    Types.h

SOURCES += \
    Canvas.cpp \
    ConnectDialog.cpp \
    main.cpp \
    PaintClient.cpp \
    ProfileManager.cpp \
    SettingsManager.cpp

FORMS += \
    PaintClient.ui \
    ConnectDialog.ui

RESOURCES += \
    PaintClient.qrc

CONFIG(debug, debug|release) {
    DESTDIR = Debug
}

CONFIG(release, debug|release) {
    DESTDIR = Release
}

OBJECTS_DIR = $${DESTDIR}/.obj
MOC_DIR = $${DESTDIR}/.moc
RCC_DIR = $${DESTDIR}/.rcc
UI_DIR = $${DESTDIR}/.ui
